Subject: bug#13308: 24.2.91; Crash when minimizing the window

From: Eli Zaretskii <[email-masked]>
Date: Mon, 31 Dec 2012 05:38:40 +0200

> From: "Fabrice Niessen" <[email-masked]>
> Cc: [email-masked]
> Date: Sun, 30 Dec 2012 22:03:57 +0100
> 
> > If you type "gdb emacs.exe", does GDB say it read symbols, or does it
> > say there are no symbols?
> 
> --8<---------------cut here---------------start------------->8---
> $ gdb emacs.exe
> GNU gdb (GDB) 7.5.50.20120815-cvs (cygwin-special)
> Copyright (C) 2012 Free Software Foundation, Inc.
> License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
> This is free software: you are free to change and redistribute it.
> There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
> and "show warranty" for details.
> This GDB was configured as "i686-cygwin".
> For bug reporting instructions, please see:
> <http://www.gnu.org/software/gdb/bugs/>...
> Reading symbols from /cygdrive/c/Program Files/Emacs-24.2.90/bin/emacs.exe...done.
> (gdb) quit
> --8<---------------cut here---------------end--------------->8---
> 
> Aie, it's reading symbols from another Emacs instance (24.2.90, the first in
> PATH), not the one I'm really launching (24.2.91, from a Windows shortcut).
> 
> I really would like to have a solution for my PATH to reflect whichever
> shortcut I clicked on. I'll need to write a small script, instead of making a
> direct link to emacs.exe. Or would there be a more straitforward solution?

A more straitforward solution is to use a full absolute file name of
the Emacs executable, or chdir to its directory and type "gdb ./emacs.exe".